import { IArticle, ICollection, ICollectionItem, IFieldBlock, IForum, IRelatedArticle, ISimpleFieldBlock, ITag } from './index';
import { RESOURCE } from './enums';
export declare const getFullSlug: (article: IArticle | IRelatedArticle) => string;
export declare function getDisplayDate(date: string, withTime?: boolean, showDayName?: boolean, showTimeOnly?: boolean): string;
/**
 * This function is used to return the value of IFieldBlock "lib/models/IFieldBlock" which has
 * label equal to @param label
 *
 * @returns Object
 */
export declare const getFieldValueByFieldLabel: (label: string, fields: IFieldBlock[] | ISimpleFieldBlock[] | any) => string | any;
/**
 * this function will @returns string
 * the return value is arilative URL for any resourse[artical,tag,collection-item,...]
 */
export declare const getResourceUrl: (resource: IArticle | ITag | ICollectionItem | ICollection | IForum, resourceType: RESOURCE) => string;
export declare const formatDate: (dateStr: string) => string;
/**
 * ex:collection-item is tag actually
 * @param resource
 * @returns article ,tag, collection, page
 */
export declare const getApiResourceKey: (resource: RESOURCE) => RESOURCE.Article | RESOURCE.Tag | RESOURCE.Collection | RESOURCE.Url | RESOURCE.Page | RESOURCE.Redirect | RESOURCE.Forum;
export declare const groupArticlesByDate: (articles: IArticle[]) => IArticle[][];
export declare const isFile: (slug: string) => boolean;
export declare const isBetweenDates: (startDate: string, endDate: string) => boolean;
export declare const isBrowser: () => boolean;
